From 93dcc0f7a6d45168a3a8c0d6fe67e1639663fbc7 Mon Sep 17 00:00:00 2001
Message-Id: <93dcc0f7a6d45168a3a8c0d6fe67e1639663fbc7.1735852484.git.spencer.king@geneoscopy.com>
From: Spencer King <spencer.king@geneoscopy.com>
Date: Thu, 2 Jan 2025 21:14:21 +0000
Subject: [PATCH] gnu: Add julia-hostcpufeatures.

* gnu/packages/julia-xyz.scm (julia-hostcpufeatures): New variable.

Change-Id: I47ccade771b0316eb46c88aaa912dbc699eed453
---
 gnu/packages/julia-xyz.scm | 22 ++++++++++++++++++++++
 1 file changed, 22 insertions(+)

diff --git a/gnu/packages/julia-xyz.scm b/gnu/packages/julia-xyz.scm
index 03621a94c7..d71fd21612 100644
--- a/gnu/packages/julia-xyz.scm
+++ b/gnu/packages/julia-xyz.scm
@@ -2921,6 +2921,28 @@ (define-public julia-gumbo
 library for parsing HTML.")
     (license license:expat)))
 
+(define-public julia-hostcpufeatures
+  (package
+    (name "julia-hostcpufeatures")
+    (version "0.1.17")
+    (source
+     (origin
+       (method git-fetch)
+       (uri (git-reference
+             (url "https://github.com/JuliaSIMD/HostCPUFeatures.jl")
+             (commit (string-append "v" version))))
+       (file-name (git-file-name name version))
+       (sha256
+        (base32 "1p0phms2zbmlv8bn20lnwn1jh0xjvz7vq266zf296adha534q9pq"))))
+    (build-system julia-build-system)
+    (propagated-inputs (list julia-bittwiddlingconveniencefunctions
+                             julia-ifelse julia-static))
+    (home-page "https://github.com/JuliaSIMD/HostCPUFeatures.jl")
+    (synopsis "Provides information about the CPU's features")
+    (description "This package provides information about the features of
+the host CPU in Julia.")
+    (license license:expat)))
+
 (define-public julia-http
   (package
     (name "julia-http")

base-commit: 5d7455bb580eed41a4fa7c20b71eaccad9f49e73
-- 
2.34.1

